class CfgOrbat {
	class FORGE {
		class FORGE_Base {
			side = "West";
			color[] = {0,0,0,1};
		};

		class FORGE_Departments_Base: FORGE_Base {
			type = "HQ";
			text = "FORGE PMC Departments";
			textShort = "Departments";
			assets[] = {};
			description = "FORGE PMC Departments.";
		};

		class FORGE_Loki_Base: FORGE_Base {
			type = "Recon";
			size = "FireTeam";
			description = "FORGE Element: LOKI";
			text = "Task Force Loki";
			textShort = "LOKI";
		};

		class FORGE_CompanyHome {
			side = "West";
			type = "HQ";
			text = "FORGE Private Military Company";
			textShort = "FORGE PMC";
			assets[] = {"B_FORGE_suburban_PMC_01", "B_FORGE_tahoe_UNM_PMC_01"};
			color[] = {0,0,0,1};
			description = "FORGE PMC Orbat Groups.";
			subordinates[] = {"FORGE_ShareHolders", "FORGE_ExecutiveMembers", "FORGE_Departments"};
		};

		class FORGE_ShareHolders {
			side = "West";
			type = "HQ";
			text = "FORGE PMC Shareholders";
			textShort = "Shareholders";
			assets[] = {};
			color[] = {0,0,0,1};
			description = "FORGE PMC Shareholders.";
		};
		class FORGE_ExecutiveMembers {
			side = "West";
			type = "HQ";
			text = "FORGE PMC Executive Members";
			textShort = "Executive Members";
			assets[] = {};
			color[] = {0,0,0,1};
			description = "FORGE PMC Executive Members.";
		};

		class FORGE_Departments {
			side = "West";
			type = "HQ";
			text = "FORGE PMC Departments";
			textShort = "Departments";
			assets[] = {};
			color[] = {0,0,0,1};
			description = "FORGE PMC Departments.";
			subordinates[] = {"FORGE_DepartmentsOperations", "FORGE_DepartmentsPersonnel", "FORGE_DepartmentsTech", "FORGE_DepartmentsMedia"};
		};

		class FORGE_DepartmentsOperations: FORGE_Departments_Base {
			text = "Operations Department";
			textShort = "Operations Dept.";
			subordinates[] = {"FORGE_Command", "FORGE_DepartmentsOperationsContracts"};
		};

		class FORGE_DepartmentsOperationsContracts: FORGE_Departments_Base {
			text = "Contract Acquisition";
			textShort = "Contract Acquisition";
			type = "Unknown";
		};

		class FORGE_DepartmentsPersonnel: FORGE_Departments_Base {
			text = "Personnel Department";
			textShort = "Personnel Dept.";
			subordinates[] = {"FORGE_DepartmentsPersonnelTraining", "FORGE_DepartmentsPersonnelEmployeeCare", "FORGE_DepartmentsPersonnelPayroll"};
		};
		class FORGE_DepartmentsPersonnelTraining: FORGE_Departments_Base {
			text = "Training";
			textShort = "Training";
			type = "Unknown";
		};
		class FORGE_DepartmentsPersonnelEmployeeCare: FORGE_Departments_Base {
			text = "Employee Care";
			textShort = "Employee Care";
			type = "Unknown";
		};
		class FORGE_DepartmentsPersonnelPayroll: FORGE_Departments_Base {
			text = "Payroll";
			textShort = "Payroll";
			type = "Unknown";
		};

		class FORGE_DepartmentsTech: FORGE_Departments_Base {
			text = "Tech Department";
			textShort = "Tech Dept.";
			subordinates[] = {"FORGE_DepartmentsTechWeaponMaintenance", "FORGE_DepartmentsTechResearchDevelopment"};
		};
		class FORGE_DepartmentsTechWeaponMaintenance: FORGE_Departments_Base {
			text = "Weapon Maintenance";
			textShort = "Weapon Maint.";
			type = "Unknown";
		};
		class FORGE_DepartmentsTechResearchDevelopment: FORGE_Departments_Base {
			text = "Research and Development";
			textShort = "R&D";
			type = "Unknown";
		};

		class FORGE_DepartmentsMedia: FORGE_Departments_Base {
			text = "Media Department";
			textShort = "Media Dept.";
			subordinates[] = {"FORGE_DepartmentsMediaCompanyRelations", "FORGE_DepartmentsMediaNationalOutreach"};
		};
		class FORGE_DepartmentsMediaCompanyRelations: FORGE_Departments_Base {
			text = "Company Relations";
			textShort = "Company Relations";
			type = "Unknown";
		};
		class FORGE_DepartmentsMediaNationalOutreach: FORGE_Departments_Base {
			text = "National Outreach";
			textShort = "National Outreach";
			type = "Unknown";
		};

		class FORGE_Command: FORGE_Base {
			side = "West";
			type = "HQ";
			size = "Company";
			text = "FORGE Command Group";
			textShort = "FORGE Command";
			color[] = {0,0,0,1};
			description = "FORGE Command Group";
			subordinates[] = {"FORGE_Loki_Command"};
		};

		class FORGE_Loki_Command: FORGE_Loki_Base {
			size = "Brigade";
			// insignia = "\z\forge_factions\addons\pmc\data\forge_armpatch.paa";
			// texture = "";
			subordinates[] = {"FORGE_Loki_Team1", "FORGE_Loki_Team2", "FORGE_Loki_Team3"};
		};
		class FORGE_Loki_Team1: FORGE_Loki_Base {
			text = "Field Operatives";
			TextShort = "Field Operatives";
			size = "Squad";
			type = "Unknown";
			commander = "J. Schmidt";
			commanderRank = "Captain";
		};
		class FORGE_Loki_Team2: FORGE_Loki_Base {
			text = "Intelligence Analysts";
			TextShort = "Intelligence Analysts";
			size = "Squad";
			type = "Unknown";
		};
		class FORGE_Loki_Team3: FORGE_Loki_Base {
			text = "Strike Team Echo";
			TextShort = "Strike Team Echo";
			size = "Squad";
		};
	};
};