class CfgWeapons {
    class UniformItem;
    class Uniform_Base;
    class CLASS(Uniform_Base): Uniform_Base {
        DLC = QUOTE(PREFIX);
        scope = 0;
        picture = "\z\forge_factions\addons\pmc\data\uniform_combat_pmc_ca.paa";
        model ="\A3\Characters_F\Common\Suitpacks\suitpack_original_F.p3d";

        class ItemInfo: UniformItem {
            uniformModel = "-";
            containerClass = "Supply60";
            mass = 20;
        };
    };

    // Combat Uniform Ranger Green
    class CLASS(Uniform_Combat_LS_PMC_RGR): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Long (PMC, Ranger Green)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_rgr_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_LS_PMC_RGR);
        };
    };
    class CLASS(Uniform_Combat_TS_PMC_RGR): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform TShirt (PMC, Ranger Green)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_rgr_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_TS_PMC_RGR);
        };
    };
    class CLASS(Uniform_Combat_RS_PMC_RGR): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Rolled (PMC, Ranger Green)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_rgr_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_RS_PMC_RGR);
        };
    };

    // Combat Uniform Tan
    class CLASS(Uniform_Combat_LS_PMC_TN): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Long (PMC, Tan)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_tn_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_LS_PMC_TN);
        };
    };
    class CLASS(Uniform_Combat_TS_PMC_TN): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform TShirt (PMC, Tan)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_tn_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_TS_PMC_TN);
        };
    };
    class CLASS(Uniform_Combat_RS_PMC_TN): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Rolled (PMC, Tan)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_tn_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_RS_PMC_TN);
        };
    };

    // Combat Uniform Black, Tan
    class CLASS(Uniform_Combat_LS_PMC_BLK_TN): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Long (PMC, Black, Tan)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_blk_tn_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_LS_PMC_BLK_TN);
        };
    };
    class CLASS(Uniform_Combat_TS_PMC_BLK_TN): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform TShirt (PMC, Black, Tan)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_blk_tn_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_TS_PMC_BLK_TN);
        };
    };
    class CLASS(Uniform_Combat_RS_PMC_BLK_TN): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Rolled (PMC, Black, Tan)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_blk_tn_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_RS_PMC_BLK_TN);
        };
    };

    // Combat Uniform Ranger Green, Tan
    class CLASS(Uniform_Combat_LS_PMC_RGR_TN): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Long (PMC, Ranger Green, Tan)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_rgr_tn_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_LS_PMC_RGR_TN);
        };
    };
    class CLASS(Uniform_Combat_TS_PMC_RGR_TN): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform TShirt (PMC, Ranger Green, Tan)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_rgr_tn_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_TS_PMC_RGR_TN);
        };
    };
    class CLASS(Uniform_Combat_RS_PMC_RGR_TN): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Rolled (PMC, Ranger Green, Tan)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_rgr_tn_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_RS_PMC_RGR_TN);
        };
    };

    // Combat Uniform Black
    class CLASS(Uniform_Combat_LS_PMC_BLK): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Long (PMC, Black)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_blk_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_LS_PMC_BLK);
        };
    };
    class CLASS(Uniform_Combat_TS_PMC_BLK): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform TShirt (PMC, Black)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_blk_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_TS_PMC_BLK);
        };
    };
    class CLASS(Uniform_Combat_RS_PMC_BLK): CLASS(Uniform_Base) {
        author = "IDSolutions";
        scope = 2;
        displayName = "Combat Uniform Rolled (PMC, Black)";
        hiddenSelections[] = {"camo"};
        hiddenSelectionsTextures[] = {"\z\forge_factions\addons\pmc\data\uniform_combat_pmc_blk_co.paa"};

        class ItemInfo: ItemInfo {
            uniformClass = QCLASS(Unit_Combat_RS_PMC_BLK);
        };
    };
};